package com.acme;

import java.util.List;

import org.springframework.data.repository.CrudRepository;
import org.springframework.transaction.annotation.Transactional;

public interface PersonRepository extends CrudRepository<Person, Long> {

	List<Person> findByFirstname(String firstname);

	@Transactional(readOnly = true)
	List<Person> findByLastname(String lastname);

}
